#ifdef ___LINKER_INFO
; File: "test-expand.c", produced by Gambit v4.9.7
(
409007
(C)
"_test/test-expand"
("_test/test-expand")
()
(("_test/test-expand"))
( #|*/"*/"symbols|#
"##eq?"
"##equal?"
"##eqv?"
"##lambda"
"##not"
"%test-approximate"
"%test-begin"
"%test-end"
"%test-error"
"%test-group"
"%test-predicate"
"%test-relation"
"_test/test-expand"
"_test/test-expand#"
"ill-formed-special-form"
"test-approximate"
"test-assert"
"test-begin"
"test-end"
"test-eq"
"test-equal"
"test-eqv"
"test-error"
"test-error-tail"
"test-group"
) #|*/"*/"symbols|#
( #|*/"*/"keywords|#
) #|*/"*/"keywords|#
( #|*/"*/"globals-s-d|#
"_test/test-expand#"
) #|*/"*/"globals-s-d|#
( #|*/"*/"globals-s-nd|#
"_test-expand#test-expand"
) #|*/"*/"globals-s-nd|#
( #|*/"*/"globals-ns|#
"##call-with-output-string"
"##deconstruct-call"
"##desourcify"
"##display"
"##display-locat"
"##eq?"
"##raise-expression-parsing-exception"
"##source-locat"
"##write"
) #|*/"*/"globals-ns|#
( #|*/"*/"meta-info|#
) #|*/"*/"meta-info|#
)
#else
#define ___VERSION 409007
#define ___MODULE_NAME "_test/test-expand"
#define ___LINKER_ID ___LNK_test_2d_expand_2e_o1
#define ___MH_PROC ___H___test_2f_test_2d_expand
#define ___SCRIPT_LINE 0
#define ___SYMCOUNT 25
#define ___GLOCOUNT 11
#define ___SUPCOUNT 2
#define ___SUBCOUNT 6
#define ___LBLCOUNT 84
#define ___OFDCOUNT 13
#define ___MODDESCR ___REF_SUB(3)
#include "gambit.h"

___NEED_SYM(___S__23__23_eq_3f_)
___NEED_SYM(___S__23__23_equal_3f_)
___NEED_SYM(___S__23__23_eqv_3f_)
___NEED_SYM(___S__23__23_lambda)
___NEED_SYM(___S__23__23_not)
___NEED_SYM(___S__25_test_2d_approximate)
___NEED_SYM(___S__25_test_2d_begin)
___NEED_SYM(___S__25_test_2d_end)
___NEED_SYM(___S__25_test_2d_error)
___NEED_SYM(___S__25_test_2d_group)
___NEED_SYM(___S__25_test_2d_predicate)
___NEED_SYM(___S__25_test_2d_relation)
___NEED_SYM(___S___test_2f_test_2d_expand)
___NEED_SYM(___S___test_2f_test_2d_expand_23_)
___NEED_SYM(___S_ill_2d_formed_2d_special_2d_form)
___NEED_SYM(___S_test_2d_approximate)
___NEED_SYM(___S_test_2d_assert)
___NEED_SYM(___S_test_2d_begin)
___NEED_SYM(___S_test_2d_end)
___NEED_SYM(___S_test_2d_eq)
___NEED_SYM(___S_test_2d_equal)
___NEED_SYM(___S_test_2d_eqv)
___NEED_SYM(___S_test_2d_error)
___NEED_SYM(___S_test_2d_error_2d_tail)
___NEED_SYM(___S_test_2d_group)

___NEED_GLO(___G__23__23_call_2d_with_2d_output_2d_string)
___NEED_GLO(___G__23__23_deconstruct_2d_call)
___NEED_GLO(___G__23__23_desourcify)
___NEED_GLO(___G__23__23_display)
___NEED_GLO(___G__23__23_display_2d_locat)
___NEED_GLO(___G__23__23_eq_3f_)
___NEED_GLO(___G__23__23_raise_2d_expression_2d_parsing_2d_exception)
___NEED_GLO(___G__23__23_source_2d_locat)
___NEED_GLO(___G__23__23_write)
___NEED_GLO(___G___test_2d_expand_23_test_2d_expand)
___NEED_GLO(___G___test_2f_test_2d_expand_23_)

___BEGIN_SYM
___DEF_SYM(0,___S__23__23_eq_3f_,"##eq?")
___DEF_SYM(1,___S__23__23_equal_3f_,"##equal?")
___DEF_SYM(2,___S__23__23_eqv_3f_,"##eqv?")
___DEF_SYM(3,___S__23__23_lambda,"##lambda")
___DEF_SYM(4,___S__23__23_not,"##not")
___DEF_SYM(5,___S__25_test_2d_approximate,"%test-approximate")
___DEF_SYM(6,___S__25_test_2d_begin,"%test-begin")
___DEF_SYM(7,___S__25_test_2d_end,"%test-end")
___DEF_SYM(8,___S__25_test_2d_error,"%test-error")
___DEF_SYM(9,___S__25_test_2d_group,"%test-group")
___DEF_SYM(10,___S__25_test_2d_predicate,"%test-predicate")
___DEF_SYM(11,___S__25_test_2d_relation,"%test-relation")
___DEF_SYM(12,___S___test_2f_test_2d_expand,"_test/test-expand")
___DEF_SYM(13,___S___test_2f_test_2d_expand_23_,"_test/test-expand#")
___DEF_SYM(14,___S_ill_2d_formed_2d_special_2d_form,"ill-formed-special-form")
___DEF_SYM(15,___S_test_2d_approximate,"test-approximate")
___DEF_SYM(16,___S_test_2d_assert,"test-assert")
___DEF_SYM(17,___S_test_2d_begin,"test-begin")
___DEF_SYM(18,___S_test_2d_end,"test-end")
___DEF_SYM(19,___S_test_2d_eq,"test-eq")
___DEF_SYM(20,___S_test_2d_equal,"test-equal")
___DEF_SYM(21,___S_test_2d_eqv,"test-eqv")
___DEF_SYM(22,___S_test_2d_error,"test-error")
___DEF_SYM(23,___S_test_2d_error_2d_tail,"test-error-tail")
___DEF_SYM(24,___S_test_2d_group,"test-group")
___END_SYM

#define ___SYM__23__23_eq_3f_ ___SYM(0,___S__23__23_eq_3f_)
#define ___SYM__23__23_equal_3f_ ___SYM(1,___S__23__23_equal_3f_)
#define ___SYM__23__23_eqv_3f_ ___SYM(2,___S__23__23_eqv_3f_)
#define ___SYM__23__23_lambda ___SYM(3,___S__23__23_lambda)
#define ___SYM__23__23_not ___SYM(4,___S__23__23_not)
#define ___SYM__25_test_2d_approximate ___SYM(5,___S__25_test_2d_approximate)
#define ___SYM__25_test_2d_begin ___SYM(6,___S__25_test_2d_begin)
#define ___SYM__25_test_2d_end ___SYM(7,___S__25_test_2d_end)
#define ___SYM__25_test_2d_error ___SYM(8,___S__25_test_2d_error)
#define ___SYM__25_test_2d_group ___SYM(9,___S__25_test_2d_group)
#define ___SYM__25_test_2d_predicate ___SYM(10,___S__25_test_2d_predicate)
#define ___SYM__25_test_2d_relation ___SYM(11,___S__25_test_2d_relation)
#define ___SYM___test_2f_test_2d_expand ___SYM(12,___S___test_2f_test_2d_expand)
#define ___SYM___test_2f_test_2d_expand_23_ ___SYM(13,___S___test_2f_test_2d_expand_23_)
#define ___SYM_ill_2d_formed_2d_special_2d_form ___SYM(14,___S_ill_2d_formed_2d_special_2d_form)
#define ___SYM_test_2d_approximate ___SYM(15,___S_test_2d_approximate)
#define ___SYM_test_2d_assert ___SYM(16,___S_test_2d_assert)
#define ___SYM_test_2d_begin ___SYM(17,___S_test_2d_begin)
#define ___SYM_test_2d_end ___SYM(18,___S_test_2d_end)
#define ___SYM_test_2d_eq ___SYM(19,___S_test_2d_eq)
#define ___SYM_test_2d_equal ___SYM(20,___S_test_2d_equal)
#define ___SYM_test_2d_eqv ___SYM(21,___S_test_2d_eqv)
#define ___SYM_test_2d_error ___SYM(22,___S_test_2d_error)
#define ___SYM_test_2d_error_2d_tail ___SYM(23,___S_test_2d_error_2d_tail)
#define ___SYM_test_2d_group ___SYM(24,___S_test_2d_group)

___BEGIN_GLO
___DEF_GLO(0,"_test-expand#test-expand")
___DEF_GLO(1,"_test/test-expand#")
___DEF_GLO(2,"##call-with-output-string")
___DEF_GLO(3,"##deconstruct-call")
___DEF_GLO(4,"##desourcify")
___DEF_GLO(5,"##display")
___DEF_GLO(6,"##display-locat")
___DEF_GLO(7,"##eq?")
___DEF_GLO(8,"##raise-expression-parsing-exception")

___DEF_GLO(9,"##source-locat")
___DEF_GLO(10,"##write")
___END_GLO

#define ___GLO___test_2d_expand_23_test_2d_expand ___GLO(0,___G___test_2d_expand_23_test_2d_expand)
#define ___PRM___test_2d_expand_23_test_2d_expand ___PRM(0,___G___test_2d_expand_23_test_2d_expand)
#define ___GLO___test_2f_test_2d_expand_23_ ___GLO(1,___G___test_2f_test_2d_expand_23_)
#define ___PRM___test_2f_test_2d_expand_23_ ___PRM(1,___G___test_2f_test_2d_expand_23_)
#define ___GLO__23__23_call_2d_with_2d_output_2d_string ___GLO(2,___G__23__23_call_2d_with_2d_output_2d_string)
#define ___PRM__23__23_call_2d_with_2d_output_2d_string ___PRM(2,___G__23__23_call_2d_with_2d_output_2d_string)
#define ___GLO__23__23_deconstruct_2d_call ___GLO(3,___G__23__23_deconstruct_2d_call)
#define ___PRM__23__23_deconstruct_2d_call ___PRM(3,___G__23__23_deconstruct_2d_call)
#define ___GLO__23__23_desourcify ___GLO(4,___G__23__23_desourcify)
#define ___PRM__23__23_desourcify ___PRM(4,___G__23__23_desourcify)
#define ___GLO__23__23_display ___GLO(5,___G__23__23_display)
#define ___PRM__23__23_display ___PRM(5,___G__23__23_display)
#define ___GLO__23__23_display_2d_locat ___GLO(6,___G__23__23_display_2d_locat)
#define ___PRM__23__23_display_2d_locat ___PRM(6,___G__23__23_display_2d_locat)
#define ___GLO__23__23_eq_3f_ ___GLO(7,___G__23__23_eq_3f_)
#define ___PRM__23__23_eq_3f_ ___PRM(7,___G__23__23_eq_3f_)
#define ___GLO__23__23_raise_2d_expression_2d_parsing_2d_exception ___GLO(8,___G__23__23_raise_2d_expression_2d_parsing_2d_exception)
#define ___PRM__23__23_raise_2d_expression_2d_parsing_2d_exception ___PRM(8,___G__23__23_raise_2d_expression_2d_parsing_2d_exception)
#define ___GLO__23__23_source_2d_locat ___GLO(9,___G__23__23_source_2d_locat)
#define ___PRM__23__23_source_2d_locat ___PRM(9,___G__23__23_source_2d_locat)
#define ___GLO__23__23_write ___GLO(10,___G__23__23_write)
#define ___PRM__23__23_write ___PRM(10,___G__23__23_write)

___DEF_SUB_STR(___X0,0UL)
               ___STR0
___DEF_SUB_STR(___X1,0UL)
               ___STR0
___DEF_SUB_STR(___X2,2UL)
               ___STR2(58,32)
___DEF_SUB_VEC(___X3,6UL)
               ___VEC1(___REF_SUB(4))
               ___VEC1(___REF_SUB(5))
               ___VEC1(___REF_NUL)
               ___VEC1(___REF_FIX(1))
               ___VEC1(___REF_PRC(1))
               ___VEC1(___REF_FAL)
               ___VEC0
___DEF_SUB_VEC(___X4,1UL)
               ___VEC1(___REF_SYM(12,___S___test_2f_test_2d_expand))
               ___VEC0
___DEF_SUB_VEC(___X5,0UL)
               ___VEC0

___BEGIN_SUB
 ___DEF_SUB(___X0)
,___DEF_SUB(___X1)
,___DEF_SUB(___X2)
,___DEF_SUB(___X3)
,___DEF_SUB(___X4)
,___DEF_SUB(___X5)
___END_SUB



#undef ___MD_ALL
#define ___MD_ALL ___D_HEAP ___D_FP ___D_R0 ___D_R1 ___D_R2 ___D_R3 ___D_R4
#undef ___MR_ALL
#define ___MR_ALL ___R_HEAP ___R_FP ___R_R0 ___R_R1 ___R_R2 ___R_R3 ___R_R4
#undef ___MW_ALL
#define ___MW_ALL ___W_HEAP ___W_FP ___W_R0 ___W_R1 ___W_R2 ___W_R3 ___W_R4
___BEGIN_M_COD
___BEGIN_M_HLBL
___DEF_M_HLBL_INTRO
___DEF_M_HLBL(___L0___test_2f_test_2d_expand_23_)
___DEF_M_HLBL_INTRO
___DEF_M_HLBL(___L0___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L1___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L2___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L3___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L4___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L5___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L6___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L7___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L8___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L9___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L10___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L11___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L12___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L13___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L14___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L15___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L16___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L17___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L18___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L19___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L20___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L21___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L22___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L23___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L24___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L25___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L26___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L27___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L28___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L29___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L30___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L31___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L32___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L33___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L34___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L35___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L36___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L37___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L38___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L39___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L40___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L41___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L42___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L43___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L44___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L45___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L46___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L47___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L48___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L49___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L50___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L51___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L52___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L53___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L54___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L55___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L56___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L57___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L58___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L59___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L60___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L61___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L62___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L63___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L64___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L65___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L66___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L67___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L68___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L69___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L70___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L71___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L72___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L73___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L74___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L75___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L76___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L77___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L78___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L79___test_2d_expand_23_test_2d_expand)
___DEF_M_HLBL(___L80___test_2d_expand_23_test_2d_expand)
___END_M_HLBL

___BEGIN_M_SW

#undef ___PH_PROC
#define ___PH_PROC ___H___test_2f_test_2d_expand_23_
#undef ___PH_LBL0
#define ___PH_LBL0 1
#undef ___PD_ALL
#define ___PD_ALL ___D_R0 ___D_R1
#undef ___PR_ALL
#define ___PR_ALL ___R_R0 ___R_R1
#undef ___PW_ALL
#define ___PW_ALL ___W_R1
___BEGIN_P_COD
___BEGIN_P_HLBL
___DEF_P_HLBL_INTRO
___DEF_P_HLBL(___L0___test_2f_test_2d_expand_23_)
___END_P_HLBL
___BEGIN_P_SW
___DEF_SLBL(0,___L0___test_2f_test_2d_expand_23_)
   ___IF_NARGS_EQ(0,___NOTHING)
   ___WRONG_NARGS(0,0,0,0)
___DEF_GLBL(___L___test_2f_test_2d_expand_23_)
   ___SET_GLO(0,___G___test_2d_expand_23_test_2d_expand,___PRC(3))
   ___SET_R1(___VOID)
   ___JUMPRET(___R0)
___END_P_SW
___END_P_COD

#undef ___PH_PROC
#define ___PH_PROC ___H___test_2d_expand_23_test_2d_expand
#undef ___PH_LBL0
#define ___PH_LBL0 3
#undef ___PD_ALL
#define ___PD_ALL ___D_HEAP ___D_FP ___D_R0 ___D_R1 ___D_R2 ___D_R3 ___D_R4
#undef ___PR_ALL
#define ___PR_ALL ___R_HEAP ___R_FP ___R_R0 ___R_R1 ___R_R2 ___R_R3 ___R_R4
#undef ___PW_ALL
#define ___PW_ALL ___W_HEAP ___W_FP ___W_R0 ___W_R1 ___W_R2 ___W_R3 ___W_R4
___BEGIN_P_COD
___BEGIN_P_HLBL
___DEF_P_HLBL_INTRO
___DEF_P_HLBL(___L0___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L1___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L2___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L3___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L4___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L5___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L6___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L7___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L8___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L9___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L10___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L11___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L12___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L13___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L14___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L15___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L16___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L17___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L18___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L19___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L20___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L21___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L22___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L23___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L24___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L25___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L26___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L27___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L28___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L29___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L30___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L31___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L32___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L33___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L34___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L35___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L36___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L37___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L38___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L39___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L40___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L41___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L42___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L43___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L44___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L45___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L46___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L47___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L48___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L49___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L50___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L51___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L52___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L53___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L54___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L55___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L56___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L57___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L58___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L59___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L60___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L61___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L62___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L63___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L64___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L65___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L66___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L67___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L68___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L69___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L70___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L71___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L72___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L73___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L74___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L75___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L76___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L77___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L78___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L79___test_2d_expand_23_test_2d_expand)
___DEF_P_HLBL(___L80___test_2d_expand_23_test_2d_expand)
___END_P_HLBL
___BEGIN_P_SW
___DEF_SLBL(0,___L0___test_2d_expand_23_test_2d_expand)
   ___IF_NARGS_EQ(2,___NOTHING)
   ___WRONG_NARGS(0,2,0,0)
___DEF_GLBL(___L___test_2d_expand_23_test_2d_expand)
   ___IF_GOTO(___EQP(___R2,___SYM_test_2d_assert),___L123___test_2d_expand_23_test_2d_expand)
   ___IF_GOTO(___EQP(___R2,___SYM_test_2d_equal),___L122___test_2d_expand_23_test_2d_expand)
   ___IF_GOTO(___EQP(___R2,___SYM_test_2d_eqv),___L113___test_2d_expand_23_test_2d_expand)
   ___IF_GOTO(___EQP(___R2,___SYM_test_2d_eq),___L112___test_2d_expand_23_test_2d_expand)
   ___IF_GOTO(___EQP(___R2,___SYM_test_2d_approximate),___L104___test_2d_expand_23_test_2d_expand)
   ___IF_GOTO(___EQP(___R2,___SYM_test_2d_error),___L86___test_2d_expand_23_test_2d_expand)
   ___IF_GOTO(___EQP(___R2,___SYM_test_2d_error_2d_tail),___L85___test_2d_expand_23_test_2d_expand)
   ___IF_GOTO(___EQP(___R2,___SYM_test_2d_begin),___L84___test_2d_expand_23_test_2d_expand)
   ___IF_GOTO(___EQP(___R2,___SYM_test_2d_end),___L82___test_2d_expand_23_test_2d_expand)
   ___IF_GOTO(___EQP(___R2,___SYM_test_2d_group),___L81___test_2d_expand_23_test_2d_expand)
   ___SET_R3(___R2)
   ___SET_R2(___R1)
   ___SET_R1(___SYM_ill_2d_formed_2d_special_2d_form)
   ___POLL(1)
___DEF_SLBL(1,___L1___test_2d_expand_23_test_2d_expand)
   ___JUMPGLOSAFE(___SET_NARGS(3),8,___G__23__23_raise_2d_expression_2d_parsing_2d_exception)
___DEF_GLBL(___L81___test_2d_expand_23_test_2d_expand)
   ___SET_R3(___LBL(6))
   ___SET_R2(___FIX(-3L))
   ___POLL(2)
___DEF_SLBL(2,___L2___test_2d_expand_23_test_2d_expand)
   ___GOTO(___L83___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L82___test_2d_expand_23_test_2d_expand)
   ___SET_R3(___LBL(4))
   ___SET_R2(___FIX(-1L))
   ___POLL(3)
___DEF_SLBL(3,___L3___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L83___test_2d_expand_23_test_2d_expand)
   ___JUMPGLOSAFE(___SET_NARGS(3),3,___G__23__23_deconstruct_2d_call)
___DEF_SLBL(4,___L4___test_2d_expand_23_test_2d_expand)
   ___IF_NARGS_EQ(0,___SET_R1(___FAL))
   ___IF_NARGS_EQ(1,___NOTHING)
   ___WRONG_NARGS(4,0,1,0)
   ___BEGIN_ALLOC_LIST(2UL,___R1)
   ___ADD_LIST_ELEM(1,___SYM__25_test_2d_end)
   ___END_ALLOC_LIST(2)
   ___SET_R1(___GET_LIST(2))
   ___CHECK_HEAP(5,4096)
___DEF_SLBL(5,___L5___test_2d_expand_23_test_2d_expand)
   ___JUMPRET(___R0)
___DEF_SLBL(6,___L6___test_2d_expand_23_test_2d_expand)
   ___IF_NARGS_EQ(1,___SET_R2(___NUL))
   ___GET_REST(6,1,0,0)
   ___SET_R2(___CONS(___NUL,___R2))
   ___SET_R2(___CONS(___SYM__23__23_lambda,___R2))
   ___BEGIN_ALLOC_LIST(3UL,___R2)
   ___ADD_LIST_ELEM(1,___R1)
   ___ADD_LIST_ELEM(2,___SYM__25_test_2d_group)
   ___END_ALLOC_LIST(3)
   ___SET_R1(___GET_LIST(3))
   ___CHECK_HEAP(7,4096)
___DEF_SLBL(7,___L7___test_2d_expand_23_test_2d_expand)
   ___JUMPRET(___R0)
___DEF_GLBL(___L84___test_2d_expand_23_test_2d_expand)
   ___SET_R3(___LBL(9))
   ___SET_R2(___FIX(-2L))
   ___POLL(8)
___DEF_SLBL(8,___L8___test_2d_expand_23_test_2d_expand)
   ___GOTO(___L83___test_2d_expand_23_test_2d_expand)
___DEF_SLBL(9,___L9___test_2d_expand_23_test_2d_expand)
   ___IF_NARGS_EQ(1,___SET_R2(___FAL))
   ___IF_NARGS_EQ(2,___NOTHING)
   ___WRONG_NARGS(9,1,1,0)
   ___BEGIN_ALLOC_LIST(3UL,___R2)
   ___ADD_LIST_ELEM(1,___R1)
   ___ADD_LIST_ELEM(2,___SYM__25_test_2d_begin)
   ___END_ALLOC_LIST(3)
   ___SET_R1(___GET_LIST(3))
   ___CHECK_HEAP(10,4096)
___DEF_SLBL(10,___L10___test_2d_expand_23_test_2d_expand)
   ___JUMPRET(___R0)
___DEF_GLBL(___L85___test_2d_expand_23_test_2d_expand)
   ___SET_R2(___R1)
   ___SET_R1(___LBL(38))
   ___SET_R3(___TRU)
   ___POLL(11)
___DEF_SLBL(11,___L11___test_2d_expand_23_test_2d_expand)
   ___GOTO(___L87___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L86___test_2d_expand_23_test_2d_expand)
   ___SET_R2(___R1)
   ___SET_R1(___LBL(38))
   ___SET_R3(___FAL)
   ___POLL(12)
___DEF_SLBL(12,___L12___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L87___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___ALLOC_CLO(3UL))
   ___BEGIN_SETUP_CLO(3,___STK(1),15)
   ___ADD_CLO_ELEM(0,___R1)
   ___ADD_CLO_ELEM(1,___R2)
   ___ADD_CLO_ELEM(2,___R3)
   ___END_SETUP_CLO(3)
   ___SET_R3(___STK(1))
   ___SET_R1(___R2)
   ___SET_R2(___FIX(-2L))
   ___ADJFP(1)
   ___CHECK_HEAP(13,4096)
___DEF_SLBL(13,___L13___test_2d_expand_23_test_2d_expand)
   ___POLL(14)
___DEF_SLBL(14,___L14___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L88___test_2d_expand_23_test_2d_expand)
   ___ADJFP(-1)
   ___JUMPGLOSAFE(___SET_NARGS(3),3,___G__23__23_deconstruct_2d_call)
___DEF_SLBL(15,___L15___test_2d_expand_23_test_2d_expand)
   ___IF_NARGS_EQ(1,___SET_R2(___ABSENT) ___SET_R3(___ABSENT))
   ___IF_NARGS_EQ(2,___SET_R3(___ABSENT))
   ___IF_NARGS_EQ(3,___NOTHING)
   ___WRONG_NARGS(15,1,2,0)
   ___IF(___NOT(___EQP(___R2,___ABSENT)))
   ___GOTO(___L89___test_2d_expand_23_test_2d_expand)
   ___END_IF
   ___SET_R2(___CLO(___R4,1))
   ___IF(___EQP(___R3,___ABSENT))
   ___GOTO(___L90___test_2d_expand_23_test_2d_expand)
   ___END_IF
   ___GOTO(___L102___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L89___test_2d_expand_23_test_2d_expand)
   ___IF(___NOT(___EQP(___R3,___ABSENT)))
   ___GOTO(___L102___test_2d_expand_23_test_2d_expand)
   ___END_IF
___DEF_GLBL(___L90___test_2d_expand_23_test_2d_expand)
   ___SET_R3(___CLO(___R4,1))
   ___IF(___NOT(___EQP(___GLO__23__23_eq_3f_,___PRM__23__23_eq_3f_)))
   ___GOTO(___L103___test_2d_expand_23_test_2d_expand)
   ___END_IF
___DEF_GLBL(___L91___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___CLO(___R4,1))
   ___ADJFP(1)
   ___IF(___NOT(___EQP(___R2,___STK(0))))
   ___GOTO(___L95___test_2d_expand_23_test_2d_expand)
   ___END_IF
___DEF_GLBL(___L92___test_2d_expand_23_test_2d_expand)
   ___SET_STK(0,___CLO(___R4,2))
   ___SET_STK(1,___CLO(___R4,3))
   ___SET_R3(___R1)
   ___SET_R2(___FAL)
   ___SET_R1(___FAL)
   ___ADJFP(1)
   ___POLL(16)
___DEF_SLBL(16,___L16___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L93___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___R0)
   ___SET_STK(2,___R1)
   ___SET_STK(3,___R2)
   ___SET_STK(4,___R3)
   ___SET_STK(5,___ALLOC_CLO(1UL))
   ___BEGIN_SETUP_CLO(1,___STK(5),27)
   ___ADD_CLO_ELEM(0,___STK(-1))
   ___END_SETUP_CLO(1)
   ___SET_R2(___STK(5))
   ___SET_R1(___SUB(0))
   ___ADJFP(10)
   ___CHECK_HEAP(17,4096)
___DEF_SLBL(17,___L17___test_2d_expand_23_test_2d_expand)
   ___POLL(18)
___DEF_SLBL(18,___L18___test_2d_expand_23_test_2d_expand)
   ___SET_R0(___LBL(19))
   ___JUMPGLOSAFE(___SET_NARGS(2),2,___G__23__23_call_2d_with_2d_output_2d_string)
___DEF_SLBL(19,___L19___test_2d_expand_23_test_2d_expand)
   ___SET_STK(-5,___R1)
   ___SET_STK(-4,___ALLOC_CLO(1UL))
   ___BEGIN_SETUP_CLO(1,___STK(-4),23)
   ___ADD_CLO_ELEM(0,___STK(-11))
   ___END_SETUP_CLO(1)
   ___SET_R2(___STK(-4))
   ___SET_R1(___SUB(1))
   ___SET_R0(___LBL(21))
   ___CHECK_HEAP(20,4096)
___DEF_SLBL(20,___L20___test_2d_expand_23_test_2d_expand)
   ___JUMPGLOSAFE(___SET_NARGS(2),2,___G__23__23_call_2d_with_2d_output_2d_string)
___DEF_SLBL(21,___L21___test_2d_expand_23_test_2d_expand)
   ___BEGIN_ALLOC_LIST(3UL,___STK(-6))
   ___ADD_LIST_ELEM(1,___NUL)
   ___ADD_LIST_ELEM(2,___SYM__23__23_lambda)
   ___END_ALLOC_LIST(3)
   ___SET_R2(___GET_LIST(3))
   ___BEGIN_ALLOC_LIST(7UL,___R1)
   ___ADD_LIST_ELEM(1,___STK(-5))
   ___ADD_LIST_ELEM(2,___STK(-10))
   ___ADD_LIST_ELEM(3,___R2)
   ___ADD_LIST_ELEM(4,___STK(-7))
   ___ADD_LIST_ELEM(5,___STK(-8))
   ___ADD_LIST_ELEM(6,___SYM__25_test_2d_error)
   ___END_ALLOC_LIST(7)
   ___SET_R1(___GET_LIST(7))
   ___ADJFP(-9)
   ___CHECK_HEAP(22,4096)
___DEF_SLBL(22,___L22___test_2d_expand_23_test_2d_expand)
   ___ADJFP(-3)
   ___JUMPRET(___STK(3))
___DEF_SLBL(23,___L23___test_2d_expand_23_test_2d_expand)
   ___IF_NARGS_EQ(1,___NOTHING)
   ___WRONG_NARGS(23,1,0,0)
   ___SET_STK(1,___R0)
   ___SET_STK(2,___R1)
   ___SET_R1(___CLO(___R4,1))
   ___ADJFP(8)
   ___POLL(24)
___DEF_SLBL(24,___L24___test_2d_expand_23_test_2d_expand)
   ___SET_R0(___LBL(25))
   ___JUMPGLOSAFE(___SET_NARGS(1),4,___G__23__23_desourcify)
___DEF_SLBL(25,___L25___test_2d_expand_23_test_2d_expand)
   ___SET_R2(___STK(-6))
   ___SET_R0(___STK(-7))
   ___POLL(26)
___DEF_SLBL(26,___L26___test_2d_expand_23_test_2d_expand)
   ___ADJFP(-8)
   ___JUMPGLOSAFE(___SET_NARGS(2),10,___G__23__23_write)
___DEF_SLBL(27,___L27___test_2d_expand_23_test_2d_expand)
   ___IF_NARGS_EQ(1,___NOTHING)
   ___WRONG_NARGS(27,1,0,0)
   ___SET_STK(1,___R0)
   ___SET_STK(2,___R1)
   ___SET_R1(___CLO(___R4,1))
   ___ADJFP(8)
   ___POLL(28)
___DEF_SLBL(28,___L28___test_2d_expand_23_test_2d_expand)
   ___SET_R0(___LBL(29))
   ___JUMPGLOSAFE(___SET_NARGS(1),9,___G__23__23_source_2d_locat)
___DEF_SLBL(29,___L29___test_2d_expand_23_test_2d_expand)
   ___IF(___NOT(___NOTFALSEP(___R1)))
   ___GOTO(___L94___test_2d_expand_23_test_2d_expand)
   ___END_IF
   ___SET_R3(___STK(-6))
   ___SET_R2(___TRU)
   ___SET_R0(___LBL(30))
   ___JUMPGLOSAFE(___SET_NARGS(3),6,___G__23__23_display_2d_locat)
___DEF_SLBL(30,___L30___test_2d_expand_23_test_2d_expand)
   ___SET_R2(___STK(-6))
   ___SET_R1(___SUB(2))
   ___SET_R0(___STK(-7))
   ___POLL(31)
___DEF_SLBL(31,___L31___test_2d_expand_23_test_2d_expand)
   ___ADJFP(-8)
   ___JUMPGLOSAFE(___SET_NARGS(2),5,___G__23__23_display)
___DEF_GLBL(___L94___test_2d_expand_23_test_2d_expand)
   ___SET_R1(___VOID)
   ___ADJFP(-8)
   ___JUMPRET(___STK(1))
___DEF_GLBL(___L95___test_2d_expand_23_test_2d_expand)
   ___IF(___EQP(___GLO__23__23_eq_3f_,___PRM__23__23_eq_3f_))
   ___GOTO(___L96___test_2d_expand_23_test_2d_expand)
   ___END_IF
   ___GOTO(___L101___test_2d_expand_23_test_2d_expand)
___DEF_SLBL(32,___L32___test_2d_expand_23_test_2d_expand)
   ___IF(___NOTFALSEP(___R1))
   ___GOTO(___L100___test_2d_expand_23_test_2d_expand)
   ___END_IF
   ___SET_R4(___STK(-3))
   ___SET_R3(___STK(-4))
   ___SET_R2(___STK(-5))
   ___SET_R1(___STK(-6))
   ___SET_R0(___STK(-7))
   ___ADJFP(-7)
   ___IF(___NOT(___EQP(___GLO__23__23_eq_3f_,___PRM__23__23_eq_3f_)))
   ___GOTO(___L101___test_2d_expand_23_test_2d_expand)
   ___END_IF
___DEF_GLBL(___L96___test_2d_expand_23_test_2d_expand)
   ___SET_STK(0,___CLO(___R4,1))
   ___IF(___NOT(___EQP(___R3,___STK(0))))
   ___GOTO(___L98___test_2d_expand_23_test_2d_expand)
   ___END_IF
___DEF_GLBL(___L97___test_2d_expand_23_test_2d_expand)
   ___SET_STK(0,___CLO(___R4,2))
   ___SET_STK(1,___CLO(___R4,3))
   ___SET_R3(___R2)
   ___SET_R2(___R1)
   ___SET_R1(___FAL)
   ___ADJFP(1)
   ___POLL(33)
___DEF_SLBL(33,___L33___test_2d_expand_23_test_2d_expand)
   ___GOTO(___L93___test_2d_expand_23_test_2d_expand)
___DEF_SLBL(34,___L34___test_2d_expand_23_test_2d_expand)
   ___IF(___NOTFALSEP(___R1))
   ___GOTO(___L99___test_2d_expand_23_test_2d_expand)
   ___END_IF
   ___SET_R4(___STK(-3))
   ___SET_R3(___STK(-4))
   ___SET_R2(___STK(-5))
   ___SET_R1(___STK(-6))
   ___SET_R0(___STK(-7))
   ___ADJFP(-7)
___DEF_GLBL(___L98___test_2d_expand_23_test_2d_expand)
   ___SET_STK(0,___CLO(___R4,2))
   ___SET_STK(1,___CLO(___R4,3))
   ___ADJFP(1)
   ___POLL(35)
___DEF_SLBL(35,___L35___test_2d_expand_23_test_2d_expand)
   ___GOTO(___L93___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L99___test_2d_expand_23_test_2d_expand)
   ___SET_R4(___STK(-3))
   ___SET_R2(___STK(-5))
   ___SET_R1(___STK(-6))
   ___SET_R0(___STK(-7))
   ___ADJFP(-7)
   ___GOTO(___L97___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L100___test_2d_expand_23_test_2d_expand)
   ___SET_R4(___STK(-3))
   ___SET_R1(___STK(-6))
   ___SET_R0(___STK(-7))
   ___ADJFP(-7)
   ___GOTO(___L92___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L101___test_2d_expand_23_test_2d_expand)
   ___SET_STK(0,___R0)
   ___SET_STK(1,___R1)
   ___SET_STK(2,___R2)
   ___SET_STK(3,___R3)
   ___SET_STK(4,___R4)
   ___SET_R2(___CLO(___R4,1))
   ___SET_R1(___R3)
   ___ADJFP(7)
   ___POLL(36)
___DEF_SLBL(36,___L36___test_2d_expand_23_test_2d_expand)
   ___SET_R0(___LBL(34))
   ___JUMPGLOSAFE(___SET_NARGS(2),7,___G__23__23_eq_3f_)
___DEF_GLBL(___L102___test_2d_expand_23_test_2d_expand)
   ___IF(___EQP(___GLO__23__23_eq_3f_,___PRM__23__23_eq_3f_))
   ___GOTO(___L91___test_2d_expand_23_test_2d_expand)
   ___END_IF
___DEF_GLBL(___L103___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___R0)
   ___SET_STK(2,___R1)
   ___SET_STK(3,___R2)
   ___SET_STK(4,___R3)
   ___SET_STK(5,___R4)
   ___SET_R2(___CLO(___R4,1))
   ___SET_R1(___STK(3))
   ___ADJFP(8)
   ___POLL(37)
___DEF_SLBL(37,___L37___test_2d_expand_23_test_2d_expand)
   ___SET_R0(___LBL(32))
   ___JUMPGLOSAFE(___SET_NARGS(2),7,___G__23__23_eq_3f_)
___DEF_SLBL(38,___L38___test_2d_expand_23_test_2d_expand)
   ___IF_NARGS_EQ(0,___NOTHING)
   ___WRONG_NARGS(38,0,0,0)
   ___SET_R1(___FAL)
   ___JUMPRET(___R0)
___DEF_GLBL(___L104___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___ALLOC_CLO(1UL))
   ___BEGIN_SETUP_CLO(1,___STK(1),41)
   ___ADD_CLO_ELEM(0,___R1)
   ___END_SETUP_CLO(1)
   ___SET_R3(___STK(1))
   ___SET_R2(___FIX(-4L))
   ___ADJFP(1)
   ___CHECK_HEAP(39,4096)
___DEF_SLBL(39,___L39___test_2d_expand_23_test_2d_expand)
   ___POLL(40)
___DEF_SLBL(40,___L40___test_2d_expand_23_test_2d_expand)
   ___GOTO(___L88___test_2d_expand_23_test_2d_expand)
___DEF_SLBL(41,___L41___test_2d_expand_23_test_2d_expand)
   ___IF_NARGS_EQ(3,___PUSH(___R1) ___SET_R1(___R2) ___SET_R2(___R3) ___SET_R3(___ABSENT))
   ___IF_NARGS_EQ(4,___NOTHING)
   ___WRONG_NARGS(41,3,1,0)
   ___IF(___NOT(___EQP(___R3,___ABSENT)))
   ___GOTO(___L105___test_2d_expand_23_test_2d_expand)
   ___END_IF
   ___SET_R3(___LBL(38))
   ___IF(___EQP(___GLO__23__23_eq_3f_,___PRM__23__23_eq_3f_))
   ___GOTO(___L106___test_2d_expand_23_test_2d_expand)
   ___END_IF
   ___GOTO(___L111___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L105___test_2d_expand_23_test_2d_expand)
   ___IF(___NOT(___EQP(___GLO__23__23_eq_3f_,___PRM__23__23_eq_3f_)))
   ___GOTO(___L111___test_2d_expand_23_test_2d_expand)
   ___END_IF
___DEF_GLBL(___L106___test_2d_expand_23_test_2d_expand)
   ___IF(___NOT(___EQP(___R3,___LBL(38))))
   ___GOTO(___L109___test_2d_expand_23_test_2d_expand)
   ___END_IF
___DEF_GLBL(___L107___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___STK(0))
   ___SET_STK(0,___CLO(___R4,1))
   ___SET_STK(2,___STK(1))
   ___SET_STK(1,___TRU)
   ___SET_STK(3,___STK(2))
   ___SET_STK(2,___FAL)
   ___SET_R3(___R2)
   ___SET_R2(___R1)
   ___SET_R1(___STK(3))
   ___ADJFP(2)
   ___POLL(42)
___DEF_SLBL(42,___L42___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L108___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___R0)
   ___SET_STK(2,___R1)
   ___SET_STK(3,___R2)
   ___SET_STK(4,___R3)
   ___SET_STK(5,___ALLOC_CLO(1UL))
   ___BEGIN_SETUP_CLO(1,___STK(5),27)
   ___ADD_CLO_ELEM(0,___STK(-2))
   ___END_SETUP_CLO(1)
   ___SET_R2(___STK(5))
   ___SET_R1(___SUB(0))
   ___ADJFP(9)
   ___CHECK_HEAP(43,4096)
___DEF_SLBL(43,___L43___test_2d_expand_23_test_2d_expand)
   ___POLL(44)
___DEF_SLBL(44,___L44___test_2d_expand_23_test_2d_expand)
   ___SET_R0(___LBL(45))
   ___JUMPGLOSAFE(___SET_NARGS(2),2,___G__23__23_call_2d_with_2d_output_2d_string)
___DEF_SLBL(45,___L45___test_2d_expand_23_test_2d_expand)
   ___SET_STK(-4,___R1)
   ___SET_STK(-3,___ALLOC_CLO(1UL))
   ___BEGIN_SETUP_CLO(1,___STK(-3),23)
   ___ADD_CLO_ELEM(0,___STK(-11))
   ___END_SETUP_CLO(1)
   ___SET_R2(___STK(-3))
   ___SET_R1(___SUB(1))
   ___SET_R0(___LBL(47))
   ___CHECK_HEAP(46,4096)
___DEF_SLBL(46,___L46___test_2d_expand_23_test_2d_expand)
   ___JUMPGLOSAFE(___SET_NARGS(2),2,___G__23__23_call_2d_with_2d_output_2d_string)
___DEF_SLBL(47,___L47___test_2d_expand_23_test_2d_expand)
   ___BEGIN_ALLOC_LIST(3UL,___STK(-6))
   ___ADD_LIST_ELEM(1,___NUL)
   ___ADD_LIST_ELEM(2,___SYM__23__23_lambda)
   ___END_ALLOC_LIST(3)
   ___SET_R2(___GET_LIST(3))
   ___BEGIN_ALLOC_LIST(3UL,___STK(-7))
   ___ADD_LIST_ELEM(1,___NUL)
   ___ADD_LIST_ELEM(2,___SYM__23__23_lambda)
   ___END_ALLOC_LIST(3)
   ___SET_R3(___GET_LIST(3))
   ___BEGIN_ALLOC_LIST(8UL,___R1)
   ___ADD_LIST_ELEM(1,___STK(-4))
   ___ADD_LIST_ELEM(2,___STK(-10))
   ___ADD_LIST_ELEM(3,___STK(-5))
   ___ADD_LIST_ELEM(4,___R2)
   ___ADD_LIST_ELEM(5,___R3)
   ___ADD_LIST_ELEM(6,___STK(-9))
   ___ADD_LIST_ELEM(7,___SYM__25_test_2d_approximate)
   ___END_ALLOC_LIST(8)
   ___SET_R1(___GET_LIST(8))
   ___ADJFP(-8)
   ___CHECK_HEAP(48,4096)
___DEF_SLBL(48,___L48___test_2d_expand_23_test_2d_expand)
   ___ADJFP(-4)
   ___JUMPRET(___STK(4))
___DEF_SLBL(49,___L49___test_2d_expand_23_test_2d_expand)
   ___IF(___NOTFALSEP(___R1))
   ___GOTO(___L110___test_2d_expand_23_test_2d_expand)
   ___END_IF
   ___SET_R4(___STK(-6))
   ___SET_R3(___STK(-7))
   ___SET_R2(___STK(-8))
   ___SET_R1(___STK(-9))
   ___SET_R0(___STK(-10))
   ___ADJFP(-11)
___DEF_GLBL(___L109___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___STK(0))
   ___SET_STK(0,___CLO(___R4,1))
   ___SET_STK(2,___STK(1))
   ___SET_STK(1,___TRU)
   ___ADJFP(2)
   ___POLL(50)
___DEF_SLBL(50,___L50___test_2d_expand_23_test_2d_expand)
   ___GOTO(___L108___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L110___test_2d_expand_23_test_2d_expand)
   ___SET_R4(___STK(-6))
   ___SET_R2(___STK(-8))
   ___SET_R1(___STK(-9))
   ___SET_R0(___STK(-10))
   ___ADJFP(-11)
   ___GOTO(___L107___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L111___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___R0)
   ___SET_STK(2,___R1)
   ___SET_STK(3,___R2)
   ___SET_STK(4,___R3)
   ___SET_STK(5,___R4)
   ___SET_R2(___LBL(38))
   ___SET_R1(___R3)
   ___ADJFP(11)
   ___POLL(51)
___DEF_SLBL(51,___L51___test_2d_expand_23_test_2d_expand)
   ___SET_R0(___LBL(49))
   ___JUMPGLOSAFE(___SET_NARGS(2),7,___G__23__23_eq_3f_)
___DEF_GLBL(___L112___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___LBL(38))
   ___SET_R3(___SYM__23__23_eq_3f_)
   ___SET_R2(___TRU)
   ___ADJFP(1)
   ___POLL(52)
___DEF_SLBL(52,___L52___test_2d_expand_23_test_2d_expand)
   ___GOTO(___L114___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L113___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___LBL(38))
   ___SET_R3(___SYM__23__23_eqv_3f_)
   ___SET_R2(___TRU)
   ___ADJFP(1)
   ___POLL(53)
___DEF_SLBL(53,___L53___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L114___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___ALLOC_CLO(4UL))
   ___BEGIN_SETUP_CLO(4,___STK(1),56)
   ___ADD_CLO_ELEM(0,___STK(0))
   ___ADD_CLO_ELEM(1,___R2)
   ___ADD_CLO_ELEM(2,___R3)
   ___ADD_CLO_ELEM(3,___R1)
   ___END_SETUP_CLO(4)
   ___SET_R3(___STK(1))
   ___SET_R2(___FIX(-3L))
   ___ADJFP(1)
   ___CHECK_HEAP(54,4096)
___DEF_SLBL(54,___L54___test_2d_expand_23_test_2d_expand)
   ___POLL(55)
___DEF_SLBL(55,___L55___test_2d_expand_23_test_2d_expand)
   ___ADJFP(-2)
   ___JUMPGLOSAFE(___SET_NARGS(3),3,___G__23__23_deconstruct_2d_call)
___DEF_SLBL(56,___L56___test_2d_expand_23_test_2d_expand)
   ___IF_NARGS_EQ(2,___SET_R3(___ABSENT))
   ___IF_NARGS_EQ(3,___NOTHING)
   ___WRONG_NARGS(56,2,1,0)
   ___IF(___NOT(___EQP(___R3,___ABSENT)))
   ___GOTO(___L115___test_2d_expand_23_test_2d_expand)
   ___END_IF
   ___SET_R3(___CLO(___R4,1))
   ___IF(___EQP(___GLO__23__23_eq_3f_,___PRM__23__23_eq_3f_))
   ___GOTO(___L116___test_2d_expand_23_test_2d_expand)
   ___END_IF
   ___GOTO(___L121___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L115___test_2d_expand_23_test_2d_expand)
   ___IF(___NOT(___EQP(___GLO__23__23_eq_3f_,___PRM__23__23_eq_3f_)))
   ___GOTO(___L121___test_2d_expand_23_test_2d_expand)
   ___END_IF
___DEF_GLBL(___L116___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___CLO(___R4,1))
   ___ADJFP(1)
   ___IF(___NOT(___EQP(___R3,___STK(0))))
   ___GOTO(___L119___test_2d_expand_23_test_2d_expand)
   ___END_IF
___DEF_GLBL(___L117___test_2d_expand_23_test_2d_expand)
   ___SET_STK(0,___CLO(___R4,4))
   ___SET_STK(1,___CLO(___R4,2))
   ___SET_STK(2,___CLO(___R4,3))
   ___SET_R3(___R2)
   ___SET_R2(___R1)
   ___SET_R1(___FAL)
   ___ADJFP(2)
   ___POLL(57)
___DEF_SLBL(57,___L57___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L118___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___R0)
   ___SET_STK(2,___R1)
   ___SET_STK(3,___R2)
   ___SET_STK(4,___R3)
   ___SET_STK(5,___ALLOC_CLO(1UL))
   ___BEGIN_SETUP_CLO(1,___STK(5),27)
   ___ADD_CLO_ELEM(0,___STK(-2))
   ___END_SETUP_CLO(1)
   ___SET_R2(___STK(5))
   ___SET_R1(___SUB(0))
   ___ADJFP(9)
   ___CHECK_HEAP(58,4096)
___DEF_SLBL(58,___L58___test_2d_expand_23_test_2d_expand)
   ___POLL(59)
___DEF_SLBL(59,___L59___test_2d_expand_23_test_2d_expand)
   ___SET_R0(___LBL(60))
   ___JUMPGLOSAFE(___SET_NARGS(2),2,___G__23__23_call_2d_with_2d_output_2d_string)
___DEF_SLBL(60,___L60___test_2d_expand_23_test_2d_expand)
   ___SET_STK(-4,___R1)
   ___SET_STK(-3,___ALLOC_CLO(1UL))
   ___BEGIN_SETUP_CLO(1,___STK(-3),23)
   ___ADD_CLO_ELEM(0,___STK(-11))
   ___END_SETUP_CLO(1)
   ___SET_R2(___STK(-3))
   ___SET_R1(___SUB(1))
   ___SET_R0(___LBL(62))
   ___CHECK_HEAP(61,4096)
___DEF_SLBL(61,___L61___test_2d_expand_23_test_2d_expand)
   ___JUMPGLOSAFE(___SET_NARGS(2),2,___G__23__23_call_2d_with_2d_output_2d_string)
___DEF_SLBL(62,___L62___test_2d_expand_23_test_2d_expand)
   ___BEGIN_ALLOC_LIST(3UL,___STK(-5))
   ___ADD_LIST_ELEM(1,___NUL)
   ___ADD_LIST_ELEM(2,___SYM__23__23_lambda)
   ___END_ALLOC_LIST(3)
   ___SET_R2(___GET_LIST(3))
   ___BEGIN_ALLOC_LIST(3UL,___STK(-6))
   ___ADD_LIST_ELEM(1,___NUL)
   ___ADD_LIST_ELEM(2,___SYM__23__23_lambda)
   ___END_ALLOC_LIST(3)
   ___SET_R3(___GET_LIST(3))
   ___BEGIN_ALLOC_LIST(8UL,___R1)
   ___ADD_LIST_ELEM(1,___STK(-4))
   ___ADD_LIST_ELEM(2,___STK(-9))
   ___ADD_LIST_ELEM(3,___STK(-10))
   ___ADD_LIST_ELEM(4,___R2)
   ___ADD_LIST_ELEM(5,___R3)
   ___ADD_LIST_ELEM(6,___STK(-7))
   ___ADD_LIST_ELEM(7,___SYM__25_test_2d_relation)
   ___END_ALLOC_LIST(8)
   ___SET_R1(___GET_LIST(8))
   ___ADJFP(-8)
   ___CHECK_HEAP(63,4096)
___DEF_SLBL(63,___L63___test_2d_expand_23_test_2d_expand)
   ___ADJFP(-4)
   ___JUMPRET(___STK(4))
___DEF_SLBL(64,___L64___test_2d_expand_23_test_2d_expand)
   ___IF(___NOTFALSEP(___R1))
   ___GOTO(___L120___test_2d_expand_23_test_2d_expand)
   ___END_IF
   ___SET_R4(___STK(-3))
   ___SET_R3(___STK(-4))
   ___SET_R2(___STK(-5))
   ___SET_R1(___STK(-6))
   ___SET_R0(___STK(-7))
   ___ADJFP(-7)
___DEF_GLBL(___L119___test_2d_expand_23_test_2d_expand)
   ___SET_STK(0,___CLO(___R4,4))
   ___SET_STK(1,___CLO(___R4,2))
   ___SET_STK(2,___CLO(___R4,3))
   ___ADJFP(2)
   ___POLL(65)
___DEF_SLBL(65,___L65___test_2d_expand_23_test_2d_expand)
   ___GOTO(___L118___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L120___test_2d_expand_23_test_2d_expand)
   ___SET_R4(___STK(-3))
   ___SET_R2(___STK(-5))
   ___SET_R1(___STK(-6))
   ___SET_R0(___STK(-7))
   ___ADJFP(-7)
   ___GOTO(___L117___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L121___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___R0)
   ___SET_STK(2,___R1)
   ___SET_STK(3,___R2)
   ___SET_STK(4,___R3)
   ___SET_STK(5,___R4)
   ___SET_R2(___CLO(___R4,1))
   ___SET_R1(___R3)
   ___ADJFP(8)
   ___POLL(66)
___DEF_SLBL(66,___L66___test_2d_expand_23_test_2d_expand)
   ___SET_R0(___LBL(64))
   ___JUMPGLOSAFE(___SET_NARGS(2),7,___G__23__23_eq_3f_)
___DEF_GLBL(___L122___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___LBL(38))
   ___SET_R3(___SYM__23__23_equal_3f_)
   ___SET_R2(___TRU)
   ___ADJFP(1)
   ___POLL(67)
___DEF_SLBL(67,___L67___test_2d_expand_23_test_2d_expand)
   ___GOTO(___L114___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L123___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___ALLOC_CLO(1UL))
   ___BEGIN_SETUP_CLO(1,___STK(1),70)
   ___ADD_CLO_ELEM(0,___R1)
   ___END_SETUP_CLO(1)
   ___SET_R3(___STK(1))
   ___SET_R2(___FIX(-2L))
   ___ADJFP(1)
   ___CHECK_HEAP(68,4096)
___DEF_SLBL(68,___L68___test_2d_expand_23_test_2d_expand)
   ___POLL(69)
___DEF_SLBL(69,___L69___test_2d_expand_23_test_2d_expand)
   ___GOTO(___L88___test_2d_expand_23_test_2d_expand)
___DEF_SLBL(70,___L70___test_2d_expand_23_test_2d_expand)
   ___IF_NARGS_EQ(1,___SET_R2(___ABSENT))
   ___IF_NARGS_EQ(2,___NOTHING)
   ___WRONG_NARGS(70,1,1,0)
   ___IF(___NOT(___EQP(___R2,___ABSENT)))
   ___GOTO(___L124___test_2d_expand_23_test_2d_expand)
   ___END_IF
   ___SET_R2(___LBL(38))
   ___IF(___EQP(___GLO__23__23_eq_3f_,___PRM__23__23_eq_3f_))
   ___GOTO(___L125___test_2d_expand_23_test_2d_expand)
   ___END_IF
   ___GOTO(___L130___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L124___test_2d_expand_23_test_2d_expand)
   ___IF(___NOT(___EQP(___GLO__23__23_eq_3f_,___PRM__23__23_eq_3f_)))
   ___GOTO(___L130___test_2d_expand_23_test_2d_expand)
   ___END_IF
___DEF_GLBL(___L125___test_2d_expand_23_test_2d_expand)
   ___IF(___NOT(___EQP(___R2,___LBL(38))))
   ___GOTO(___L128___test_2d_expand_23_test_2d_expand)
   ___END_IF
___DEF_GLBL(___L126___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___CLO(___R4,1))
   ___SET_STK(2,___FAL)
   ___SET_R3(___R1)
   ___SET_R2(___FAL)
   ___SET_R1(___SYM__23__23_not)
   ___ADJFP(2)
   ___POLL(71)
___DEF_SLBL(71,___L71___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L127___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___R0)
   ___SET_STK(2,___R1)
   ___SET_STK(3,___R2)
   ___SET_STK(4,___R3)
   ___SET_STK(5,___ALLOC_CLO(1UL))
   ___BEGIN_SETUP_CLO(1,___STK(5),27)
   ___ADD_CLO_ELEM(0,___STK(-1))
   ___END_SETUP_CLO(1)
   ___SET_R2(___STK(5))
   ___SET_R1(___SUB(0))
   ___ADJFP(10)
   ___CHECK_HEAP(72,4096)
___DEF_SLBL(72,___L72___test_2d_expand_23_test_2d_expand)
   ___POLL(73)
___DEF_SLBL(73,___L73___test_2d_expand_23_test_2d_expand)
   ___SET_R0(___LBL(74))
   ___JUMPGLOSAFE(___SET_NARGS(2),2,___G__23__23_call_2d_with_2d_output_2d_string)
___DEF_SLBL(74,___L74___test_2d_expand_23_test_2d_expand)
   ___SET_STK(-5,___R1)
   ___SET_STK(-4,___ALLOC_CLO(1UL))
   ___BEGIN_SETUP_CLO(1,___STK(-4),23)
   ___ADD_CLO_ELEM(0,___STK(-11))
   ___END_SETUP_CLO(1)
   ___SET_R2(___STK(-4))
   ___SET_R1(___SUB(1))
   ___SET_R0(___LBL(76))
   ___CHECK_HEAP(75,4096)
___DEF_SLBL(75,___L75___test_2d_expand_23_test_2d_expand)
   ___JUMPGLOSAFE(___SET_NARGS(2),2,___G__23__23_call_2d_with_2d_output_2d_string)
___DEF_SLBL(76,___L76___test_2d_expand_23_test_2d_expand)
   ___BEGIN_ALLOC_LIST(3UL,___STK(-6))
   ___ADD_LIST_ELEM(1,___NUL)
   ___ADD_LIST_ELEM(2,___SYM__23__23_lambda)
   ___END_ALLOC_LIST(3)
   ___SET_R2(___GET_LIST(3))
   ___BEGIN_ALLOC_LIST(7UL,___R1)
   ___ADD_LIST_ELEM(1,___STK(-5))
   ___ADD_LIST_ELEM(2,___STK(-8))
   ___ADD_LIST_ELEM(3,___STK(-10))
   ___ADD_LIST_ELEM(4,___R2)
   ___ADD_LIST_ELEM(5,___STK(-7))
   ___ADD_LIST_ELEM(6,___SYM__25_test_2d_predicate)
   ___END_ALLOC_LIST(7)
   ___SET_R1(___GET_LIST(7))
   ___ADJFP(-9)
   ___CHECK_HEAP(77,4096)
___DEF_SLBL(77,___L77___test_2d_expand_23_test_2d_expand)
   ___ADJFP(-3)
   ___JUMPRET(___STK(3))
___DEF_SLBL(78,___L78___test_2d_expand_23_test_2d_expand)
   ___IF(___NOTFALSEP(___R1))
   ___GOTO(___L129___test_2d_expand_23_test_2d_expand)
   ___END_IF
   ___SET_R4(___STK(-4))
   ___SET_R2(___STK(-5))
   ___SET_R1(___STK(-6))
   ___SET_R0(___STK(-7))
   ___ADJFP(-8)
___DEF_GLBL(___L128___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___CLO(___R4,1))
   ___SET_STK(2,___FAL)
   ___SET_R3(___R2)
   ___SET_R2(___R1)
   ___SET_R1(___SYM__23__23_not)
   ___ADJFP(2)
   ___POLL(79)
___DEF_SLBL(79,___L79___test_2d_expand_23_test_2d_expand)
   ___GOTO(___L127___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L129___test_2d_expand_23_test_2d_expand)
   ___SET_R4(___STK(-4))
   ___SET_R1(___STK(-6))
   ___SET_R0(___STK(-7))
   ___ADJFP(-8)
   ___GOTO(___L126___test_2d_expand_23_test_2d_expand)
___DEF_GLBL(___L130___test_2d_expand_23_test_2d_expand)
   ___SET_STK(1,___R0)
   ___SET_STK(2,___R1)
   ___SET_STK(3,___R2)
   ___SET_STK(4,___R4)
   ___SET_R2(___LBL(38))
   ___SET_R1(___STK(3))
   ___ADJFP(8)
   ___POLL(80)
___DEF_SLBL(80,___L80___test_2d_expand_23_test_2d_expand)
   ___SET_R0(___LBL(78))
   ___JUMPGLOSAFE(___SET_NARGS(2),7,___G__23__23_eq_3f_)
___END_P_SW
___END_P_COD

___END_M_SW
___END_M_COD

___BEGIN_LBL
 ___DEF_LBL_INTRO(___H___test_2f_test_2d_expand_23_,___REF_SYM(13,___S___test_2f_test_2d_expand_23_),___REF_FAL,1,0)
,___DEF_LBL_PROC(___H___test_2f_test_2d_expand_23_,0,-1)
,___DEF_LBL_INTRO(___H___test_2d_expand_23_test_2d_expand,___REF_FAL,___REF_FAL,81,0)
,___DEF_LBL_PROC(___H___test_2d_expand_23_test_2d_expand,2,-1)
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,0,0,0x3fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,0,0,0x3fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,0,0,0x3fL))
,___DEF_LBL_PROC(___H___test_2d_expand_23_test_2d_expand,1,-1)
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,0,0,0x3fL))
,___DEF_LBL_PROC(___H___test_2d_expand_23_test_2d_expand,2,-1)
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,0,0,0x3fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,0,0,0x3fL))
,___DEF_LBL_PROC(___H___test_2d_expand_23_test_2d_expand,2,-1)
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,0,0,0x3fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,0,0,0x3fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,0,0,0x3fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,1,4,0x3f0L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,1,4,0x3f0L))
,___DEF_LBL_PROC(___H___test_2d_expand_23_test_2d_expand,3,3)
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,2,4,0x3f3L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___OFD(___RETI,12,2,0x3f03fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___OFD(___RETI,12,2,0x3f03fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,9,2,0x3fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___OFD(___RETI,12,2,0x3f07eL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,9,2,0x7eL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,3,2,0x3f4L))
,___DEF_LBL_PROC(___H___test_2d_expand_23_test_2d_expand,1,1)
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,8,0,0x3f03L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,5,0,0x3L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,8,8,0x3f00L))
,___DEF_LBL_PROC(___H___test_2d_expand_23_test_2d_expand,1,1)
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,8,0,0x3f03L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,5,0,0x3L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,5,0,0x3L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,8,8,0x3f00L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,5,0,0x1fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,2,4,0x3f3L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,5,0,0x1fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,2,4,0x3f3L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,8,0,0x3f1fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,8,0,0x3f1fL))
,___DEF_LBL_PROC(___H___test_2d_expand_23_test_2d_expand,0,-1)
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,1,4,0x3f0L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,1,4,0x3f0L))
,___DEF_LBL_PROC(___H___test_2d_expand_23_test_2d_expand,4,1)
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,3,4,0x3f7L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___OFD(___RETI,12,3,0x3f07fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___OFD(___RETI,12,3,0x3f07fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,9,3,0x7fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___OFD(___RETI,12,3,0x3f0feL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,9,3,0xfeL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,4,3,0x3f8L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,9,1,0x3fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,3,4,0x3f7L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___OFD(___RETI,12,1,0x3f03fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,1,4,0x3f1L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,1,4,0x3f1L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,2,4,0x3f0L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,2,4,0x3f0L))
,___DEF_LBL_PROC(___H___test_2d_expand_23_test_2d_expand,3,4)
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,3,4,0x3f7L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___OFD(___RETI,12,3,0x3f07fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___OFD(___RETI,12,3,0x3f07fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,9,3,0x7fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___OFD(___RETI,12,3,0x3f0feL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,9,3,0xfeL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,4,3,0x3f8L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,5,0,0x1fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,3,4,0x3f7L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,8,0,0x3f1fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,1,4,0x3f1L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,1,4,0x3f0L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,1,4,0x3f0L))
,___DEF_LBL_PROC(___H___test_2d_expand_23_test_2d_expand,2,1)
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,2,4,0x3f3L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___OFD(___RETI,12,2,0x3f03fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___OFD(___RETI,12,2,0x3f03fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,9,2,0x3fL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___OFD(___RETI,12,2,0x3f07eL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,9,2,0x7eL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,3,2,0x3f4L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETN,5,0,0xfL))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,2,4,0x3f3L))
,___DEF_LBL_RET(___H___test_2d_expand_23_test_2d_expand,___IFD(___RETI,8,0,0x3f0fL))
___END_LBL

___BEGIN_OFD
 ___DEF_OFD(___RETI,12,2)
               ___GCMAP1(0x3f03fL)
,___DEF_OFD(___RETI,12,2)
               ___GCMAP1(0x3f03fL)
,___DEF_OFD(___RETI,12,2)
               ___GCMAP1(0x3f07eL)
,___DEF_OFD(___RETI,12,3)
               ___GCMAP1(0x3f07fL)
,___DEF_OFD(___RETI,12,3)
               ___GCMAP1(0x3f07fL)
,___DEF_OFD(___RETI,12,3)
               ___GCMAP1(0x3f0feL)
,___DEF_OFD(___RETI,12,1)
               ___GCMAP1(0x3f03fL)
,___DEF_OFD(___RETI,12,3)
               ___GCMAP1(0x3f07fL)
,___DEF_OFD(___RETI,12,3)
               ___GCMAP1(0x3f07fL)
,___DEF_OFD(___RETI,12,3)
               ___GCMAP1(0x3f0feL)
,___DEF_OFD(___RETI,12,2)
               ___GCMAP1(0x3f03fL)
,___DEF_OFD(___RETI,12,2)
               ___GCMAP1(0x3f03fL)
,___DEF_OFD(___RETI,12,2)
               ___GCMAP1(0x3f07eL)
___END_OFD

___BEGIN_MOD_PRM
___DEF_MOD_PRM(1,___G___test_2f_test_2d_expand_23_,1)
___END_MOD_PRM

___BEGIN_MOD_C_INIT
___END_MOD_C_INIT

___BEGIN_MOD_GLO
___DEF_MOD_GLO(1,___G___test_2f_test_2d_expand_23_,1)
___END_MOD_GLO

___BEGIN_MOD_SYM_KEY
___DEF_MOD_SYM(0,___S__23__23_eq_3f_,"##eq?")
___DEF_MOD_SYM(1,___S__23__23_equal_3f_,"##equal?")
___DEF_MOD_SYM(2,___S__23__23_eqv_3f_,"##eqv?")
___DEF_MOD_SYM(3,___S__23__23_lambda,"##lambda")
___DEF_MOD_SYM(4,___S__23__23_not,"##not")
___DEF_MOD_SYM(5,___S__25_test_2d_approximate,"%test-approximate")
___DEF_MOD_SYM(6,___S__25_test_2d_begin,"%test-begin")
___DEF_MOD_SYM(7,___S__25_test_2d_end,"%test-end")
___DEF_MOD_SYM(8,___S__25_test_2d_error,"%test-error")
___DEF_MOD_SYM(9,___S__25_test_2d_group,"%test-group")
___DEF_MOD_SYM(10,___S__25_test_2d_predicate,"%test-predicate")
___DEF_MOD_SYM(11,___S__25_test_2d_relation,"%test-relation")
___DEF_MOD_SYM(12,___S___test_2f_test_2d_expand,"_test/test-expand")
___DEF_MOD_SYM(13,___S___test_2f_test_2d_expand_23_,"_test/test-expand#")
___DEF_MOD_SYM(14,___S_ill_2d_formed_2d_special_2d_form,"ill-formed-special-form")
___DEF_MOD_SYM(15,___S_test_2d_approximate,"test-approximate")
___DEF_MOD_SYM(16,___S_test_2d_assert,"test-assert")
___DEF_MOD_SYM(17,___S_test_2d_begin,"test-begin")
___DEF_MOD_SYM(18,___S_test_2d_end,"test-end")
___DEF_MOD_SYM(19,___S_test_2d_eq,"test-eq")
___DEF_MOD_SYM(20,___S_test_2d_equal,"test-equal")
___DEF_MOD_SYM(21,___S_test_2d_eqv,"test-eqv")
___DEF_MOD_SYM(22,___S_test_2d_error,"test-error")
___DEF_MOD_SYM(23,___S_test_2d_error_2d_tail,"test-error-tail")
___DEF_MOD_SYM(24,___S_test_2d_group,"test-group")
___END_MOD_SYM_KEY

#endif
